List assignment targets.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/entity/example/instances/example/assignments/example/targets"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entity/example/instances/example/assignments/example/targets';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/entity/example/instances/example/assignments/example/targetsReturns server-approved assignment target options for one relation slot on one active entity instance. The caller must hold explicit assignment authority for the addressed relation slot.
Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Entity definition identifier or normalized entity key.
Entity instance identifier.
Relation definition identifier for the assignment slot.
Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Server-approved assignment target options for one record relation slot.
object
Runtime relation slot metadata for record-scoped assignments.
object
Relation definition identifier.
Relation definition key.
Relation display name.
Whether the relation must keep at least one assignment.
Relation display order.
Server-computed mutation permissions for one relation slot on one entity instance.
object
Whether the caller can replace the assignment set for the relation slot.
Eligible assignment target options.
Server-approved assignment target option for one relation slot.
object
Assignment subject identifier.
Display name shown by assignment pickers.
Optional secondary description.
object
object
object
object
Example
{ "Data": { "Relation": { "Cardinality": 0, "SubjectMode": 0 }, "Targets": [ { "SubjectType": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Server-approved assignment target options for one record relation slot.
object
Runtime relation slot metadata for record-scoped assignments.
object
Relation definition identifier.
Relation definition key.
Relation display name.
Whether the relation must keep at least one assignment.
Relation display order.
Server-computed mutation permissions for one relation slot on one entity instance.
object
Whether the caller can replace the assignment set for the relation slot.
Eligible assignment target options.
Server-approved assignment target option for one relation slot.
object
Assignment subject identifier.
Display name shown by assignment pickers.
Optional secondary description.
object
object
object
object
Example
{ "Data": { "Relation": { "Cardinality": 0, "SubjectMode": 0 }, "Targets": [ { "SubjectType": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Server-approved assignment target options for one record relation slot.
object
Runtime relation slot metadata for record-scoped assignments.
object
Relation definition identifier.
Relation definition key.
Relation display name.
Whether the relation must keep at least one assignment.
Relation display order.
Server-computed mutation permissions for one relation slot on one entity instance.
object
Whether the caller can replace the assignment set for the relation slot.
Eligible assignment target options.
Server-approved assignment target option for one relation slot.
object
Assignment subject identifier.
Display name shown by assignment pickers.
Optional secondary description.
object
object
object
object
Example
{ "Data": { "Relation": { "Cardinality": 0, "SubjectMode": 0 }, "Targets": [ { "SubjectType": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}